#pragma semicolon 1
#include <sourcemod>
#include <vip_core>
#pragma newdecls required

public Plugin myinfo =
{
	name = "[VIP] Show Damage",
	author = "R1KO, vadrozh",
	description = "Показ урона VIP-игрокам",
	version = "1.1.0",
	url = "https://hlmod.ru"
};

#define VIP_SD	"ShowDamage"

public void OnPluginStart()
{
	HookEventEx("player_hurt", Event_PlayerHurt);
	if(VIP_IsVIPLoaded())
		VIP_OnVIPLoaded();
}

public void OnPluginEnd()
{
	if(CanTestFeatures() && GetFeatureStatus(FeatureType_Native, "VIP_UnregisterMe") == FeatureStatus_Available)
		VIP_UnregisterMe();
}

public void VIP_OnVIPLoaded() { VIP_RegisterFeature(VIP_SD, BOOL); }

public void Event_PlayerHurt(Handle hEvent, const char[] name, bool bDontBroadcast)
{
	int iClient = GetClientOfUserId(GetEventInt(hEvent, "attacker"));
	if(iClient && VIP_IsClientVIP(iClient) && VIP_IsClientFeatureUse(iClient, VIP_SD) && iClient != GetClientOfUserId(GetEventInt(hEvent, "userid")))
		PrintCenterText(iClient, "- %i HP", GetEventInt(hEvent, "dmg_health"));
}